Subject: bug#12001: 24.1.50; vc-diff always talks to CVS repository

From: Richard Stallman <[email-masked]>
Date: Sun, 19 Aug 2012 18:29:58 -0400

>     I cannot reproduce that.  When the vc backup file for the current
    >     revision exists, vc-diff uses it as the base.

    > What is the "vc backup file"?  How can I tell whether it exists?

    See vc-version-backup-file-name.  They are created the first time the
    modified file is saved.

This is not happening for me when I edit the Emacs sources.
The reason seems to be that 

           (vc-call-backend backend 'make-version-backups-p file)

does nothing, because it calls vc-default-make-version-backups-p
which always returns nil.

This is because (get 'Bzr 'vc-functions)
returns the following:

((make-version-backups-p vc-default-make-version-backups-p . Bzr) (checkout-model . vc-bzr-checkout-model) (registered . vc-bzr-registered) (find-file-hook . vc-bzr-find-file-hook) (working-revision . vc-bzr-working-revision) (state-heuristic . vc-bzr-state-heuristic) (mode-line-string vc-default-mode-line-string . Bzr))

Indeed, vc-bzr-make-version-backups-p is not defined.
Should it be?

--
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call